## indicator-sound 0.7.8

=== debian/changelog ===
indicator-sound (0.7.8-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - indicator-sound interferes with gnome-settings-daemon (LP: #855557)
  * debian/patches/01_fix_FTBFS.patch
    - Dropped, fixed upstream

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 28 Sep 2011 14:34:38 -0400

indicator-sound (0.7.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * add 01_fix_FTBFS.patch for needed -lm link

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 13 Sep 2011 10:20:29 +0200

indicator-sound (0.7.6.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - theming fix for the spinner

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 24 Aug 2011 16:09:29 -0400

indicator-sound (0.7.6-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - mute action crashes the panel (LP: #828114)
    - Clicking music player does not dismiss the menu  (LP: #818293)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 18 Aug 2011 14:19:06 -0400

indicator-sound (0.7.5-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Don't allow starting programs via the greeter indicators (LP: #811853)
    - support libunity's Track and Player specific items (LP: #824050)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 10 Aug 2011 12:51:49 -0400

indicator-sound (0.7.4.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - menu resizes on reopen   (LP: #809275)
    - pulse indication of SoundMenu play button not strong 
      enough (LP: #742251)
  * debian/rules
    - Moved autoreconf to the top
  * New upstream release.

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 29 Jul 2011 13:21:41 -0400

indicator-sound (0.7.3-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - libindicator scroll signals (LP: #804618)
    - metadatawidget collapse (LP: #806439)
  * debian/control
    - Bumped build depends for libindicator to 0.3.90
  * debian/patches/gtk3_define.patch
    - dropped
  * configure.ac
    - Fixup pkgconfig check for libindicator-0.4
  * debian/rules
    - Added autoreconf.mk

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 07 Jul 2011 15:37:27 -0400

indicator-sound (0.7.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - "Sound Preferences..." should be "Sound Settings" (LP: #785571)
    - Not obvious what track info menu item does (LP: #699899)
  * debian/patches/lp_750823.patch
    - Dropped patch, merged upstream
  * debian/patches/gtk3_define.patch
    - Wrap another gtk3 block in an ifdef
  * debian/control
    - Updated standards version to 3.9.2
    - Cleaned up description to quiet lintian
    - Added quilt build dep

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 28 Jun 2011 10:51:51 -0400

indicator-sound (0.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Displayed cover don't keep the original ratio (LP: #654196)
    - show record level control PULSE_PROP_media.role=production (LP: #736049)
    - Volume notification is based on previous volume; should be based on 
      the new volume (LP: #748831)
    - [gnome3] Sound Preferences link doesn't work (LP: #759390)
  * debian/patches/lp_759390.patch
    - dropped, merged upstream
  * debian/control
    - renamed the libnotify4-dev build depends to libnotify-dev

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 19 May 2011 15:38:19 -0400

indicator-sound (0.6.6.1-0ubuntu3) natty; urgency=low

  * debian/patches/lp_750823.patch
    - Place timeout in the mpris controller to accommodate flaky mpris dbus 
      behaviour, it can be seen sometimes that the players emit a property 
      changed on the metadata property but the actual value of the property 
      which the service then tries to use is the old value (LP: #750823)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 18 Apr 2011 15:08:13 -0400

indicator-sound (0.6.6.1-0ubuntu2) natty; urgency=low

  * debian/patches/lp_759390.patch
    - Sound Preferences link doesn't work in gnome3 (LP: #759390)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 15 Apr 2011 17:12:32 -0400

indicator-sound (0.6.6.1-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Fix crash with SIGABRT (LP: #738051) (LP: #744304)
    - ensure that if the service crashes the indicator will not show 
      multiple sliders

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 04 Apr 2011 10:02:19 -0400

indicator-sound (0.6.5.1-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Don't change the banshee id yet, that will change in 0.9.6 

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 23 Mar 2011 13:46:06 -0400

indicator-sound (0.6.5-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Media player should be automatically started up when play button is 
      pressed (LP: #714750)
    - volume goes to zero when using some players like banshee or 
      rhythmbox (LP: #730925)
    - handle banshee id change (LP: #737447)
    - filter out video playlists (LP: #739273)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 23 Mar 2011 12:03:02 -0400

indicator-sound (0.6.4-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Harmonize mute behaviour of both VOIP and volume slider (LP: #731870)
    - keyboard handling for voip slider not working (LP: #732500)
    - "Choose Playlist" needs to be marked for translation (LP: #736372)
    - show record level control on PULSE_PROP_media.role=production 
      (LP: #736049)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 17 Mar 2011 14:08:17 -0400

indicator-sound (0.6.3-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Broken images on playlist items (LP: #727325)
    - wrong icon for audio-input slider (LP: #723254)
    - blacklist dbus api lacks query functionality (LP: #730526)
    - volume goes to zero when using some players like banshee, 
      rhythmbox (LP: #730925)
    - holding the FW or RW button should have an effect (LP: #694258)
    - With new notify-osd the volume notification on scroll doesn't work as 

