## indicator-sound 0.7.9

=== debian/changelog ===
indicator-sound (0.7.9-0ubuntu2.1) oneiric-proposed; urgency=low

  * debian/patches/fix-864405.patch:
    - Clicking on left 25% of "Pause/Play" circle clicks "Previous".
      (LP: #864405)

 -- Omer Akram <om26er@ubuntu.com>  Mon, 28 Nov 2011 22:51:15 +0500

indicator-sound (0.7.9-0ubuntu2) oneiric-proposed; urgency=low

  * src/pulseaudio-mgr.c
    - indicator-sound-service crashed with SIGABRT in raise() (LP: #840986)
  * src/music-player-bridge.{vala,c}
    - indicator-sound-service crashed with SIGSEGV (LP: #864732)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 28 Oct 2011 10:12:36 -0400

indicator-sound (0.7.9-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release.
    - Protect against source indexes that are lower than 0 (LP: #850662)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 13 Oct 2011 13:53:21 -0400
