## indicator-sound 0.8.5.0

=== debian/changelog ===
indicator-sound (0.8.5.0-0ubuntu2.1) precise-proposed; urgency=low

  * debian/patches/lp_992262.patch
    - fix sound indicator not working after amarok close (LP: #992262)
  * debian/patches/lp_902715.patch
    - Partial fix which sets the accessibility property on the volume
      slider menu item. Previously this was achieved by sending a signal
      on the indicator object but now it seems the way to update orca is
      to set/update the appropriate property on the menuitem.  Orca doesn't
      broadcast volume updates on slider movement but at least it updates
      when the user moves to the item on the menu, previously it was entirely
      silent. (LP: #902715)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 03 May 2012 16:16:41 -0700

indicator-sound (0.8.5.0-0ubuntu2) precise; urgency=low

  * debian/patches:
    - sound_ubuntustudio.patch: added to prefer pavucontrol as the
      mixer app in Ubuntu Studio. (LP: #972749)

 -- Janne Jokitalo (astraljava) <astraljava@kapsi.fi>  Sun, 01 Apr 2012 21:45:34 +0300

indicator-sound (0.8.5.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Inconsistency between messaging menu and sound menu pips (LP: #933593)
    - indicator-sound-service crashed with SIGSEGV in 
      fast_validate() (LP: #949837)
    - free-memory-read crash in indicator-sound-service's file 
      monitoring (LP: #965848)
    - minor memory leaks in blacklist handling (LP: #960578)
    - FIX (LP: FIX)
  * -debian/patches/lp_945827.patch, debian/patches/lp_960846.patch
     - dropped, merged upstream

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 30 Mar 2012 14:45:03 -0400

indicator-sound (0.8.4.1-0ubuntu4) precise; urgency=low

  * debian/patches:
    - sound_xubuntu.patch: added, prefer pavucontrol over xfce4-mixer on
      Xubuntu. (lp: #961745)

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Thu, 22 Mar 2012 00:17:34 +0100

indicator-sound (0.8.4.1-0ubuntu3) precise; urgency=low

  * debian/patches/lp_960846.patch
    - check that the active playlists container is not null (LP: #960846)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 21 Mar 2012 11:00:15 -0400

indicator-sound (0.8.4.1-0ubuntu2) precise; urgency=low

  * debian/patches/lp_945827.patch
    - fix for a playlist crasher (LP: #945827)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 20 Mar 2012 16:40:24 -0400

indicator-sound (0.8.4.1-0ubuntu1) precise; urgency=low

  * New upstream release.
    - fix i18n of indicator-sound's accessible description (LP: #957517)
    - don't abort isound via g_error() if it can't connect to the 
      bus (LP: #953111)
  * debian/patches/sound_nua.patch
    - don't try to free a static string (LP: #957387)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 19 Mar 2012 11:22:00 -0400

indicator-sound (0.8.4.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - indicator-sound "Choose Playlist" menu item does nothing when using 
      Rhythmbox (LP: #952550)
    - crashed with SIGSEGV in g_strdup() (LP: #946607)
    - crashed with SIGABRT in pa_operation_unref() (LP: #944148)
    - crashed with signal 5 in g_type_create_instance() (LP: #921755)
    - slider on unmute resets volume (LP: #921065)
    - play controls not exposed in HUD (LP: #949032)
    - unity-panel-service at 100% cpu when opened /w rb without album 
      cover (LP: #806848)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 16 Mar 2012 14:04:30 -0400

indicator-sound (0.8.3.0-0ubuntu2) precise; urgency=low

  * debian/patches/sound_nua.patch
    - Sound Settings link doesn't work in GNOME Classic (LP: #941704)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 16 Mar 2012 13:39:03 -0400

indicator-sound (0.8.3.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Fixed memory corruption issue (LP: #897218)
    - crashed with SIGABRT in pa_operation_unref (LP: #908682)
    - Banshee shown in sound menu after removal until reboot (LP: #771202)
    - Coverity PASS_BY_VALUE - CID 10620 (LP: #937451)
    - App icon and name are not aligned (LP: #939929)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 02 Mar 2012 11:26:41 -0500

indicator-sound (0.8.2.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - crashed with SIGABRT in pa_cvolume_set (LP: #900117)
    - Mouse on coverart flushes the sound menu (LP: #927733)
    - album artwork misaligned and not visible (LP: #933359)
    - unity-panel-service crashed with SIGSEGV in 
      transport_widget_is_selected (LP: #882109)
  * -debian/patches/correct_ldflags_use.patch
    - fixed upstream

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 22 Feb 2012 16:41:12 -0500

indicator-sound (0.8.1.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - No easy way to turn the sound menu on/off (lp: #829648)
    - Avoid spawning notification daemon at startup (lp: #912150)
    - Creation of album-art-cache folder (lp: #799383)
    - schema id & path are inconsistent with other indicators (lp: #914377)
  * debian/patches/correct_ldflags_use.patch:
    - typo fix in ldflags use

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 14 Feb 2012 19:46:41 +0100

indicator-sound (0.8.0.0-0ubuntu4) precise; urgency=low

  * debian/patches/sound_nua.patch
    - open the new sound-nua panel in gnome-control-center 
  * debian/patches/dbusmenu_05_90.patch
    - fixed FTBFS with dbusmenu 0.5.90
  * debian/control
    - bump build depends for dbusmenu to >= 0.5.90

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 09 Feb 2012 16:49:15 -0500

indicator-sound (0.8.0.0-0ubuntu3) precise; urgency=low

  * rebuild for libindicator7
  * debian/rules
    - build with no-error=deprecated-declarations 
  * -debian/patches/disable_Werror.patch
    - disabled in debian/rules instead

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 25 Jan 2012 10:00:00 -0500

indicator-sound (0.8.0.0-0ubuntu2) precise; urgency=low

  * Add lazy_init.patch: Avoid spawning notification daemon right at startup,

