=== debian/control ===
--- 
+++ 
@@ -10,20 +10,19 @@
                libglib2.0-dev (>= 2.22.3),
                libgtk2.0-dev (>= 2.12.0),
                libgtk-3-dev,
-               libdbusmenu-glib-dev (>= 0.3.101),
-               libdbusmenu-gtk-dev (>= 0.3.101),
-               libdbusmenu-gtk3-dev (>= 0.3.101),
+               libdbusmenu-glib-dev (>= 0.5.90),
+               libdbusmenu-gtk-dev (>= 0.5.90),
+               libdbusmenu-gtk3-dev (>= 0.5.90),
                libindicator-dev (>= 0.3.90),
                libindicator3-dev (>= 0.3.90),
                libpulse-dev (>= 0.9.18),
                libpulse-mainloop-glib0 (>= 0.9.18),
                libido-0.1-dev (>= 0.1.11),
                libido3-0.1-dev (>= 0.2.90),
-               libgconf2-dev,
                libgee-dev,
                libxml2-dev,
                libnotify-dev,
-               valac-0.12,
+               valac-0.14,
                dh-autoreconf
 Standards-Version: 3.9.2
 Homepage: https://launchpad.net/indicator-sound
