## indicator-sound 12.10.1

=== debian/changelog ===
indicator-sound (12.10.1-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Oct 2012 21:52:53 +0200

indicator-sound (12.10.0-0ubuntu2) quantal; urgency=low

  * Drop GTK2 build since ido stopped providing support for that version
  * debian/control: build with the current vala version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Aug 2012 12:05:18 +0200

indicator-sound (12.10.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Allow setting preferred media players through a settings key.
    - Fix sound indicator not working after Amarok close.
    - Explicit handling of Ardour
    - Fix deprecated GTK+ API calls
  * debian/patches/lp_992262.patch:
  * debian/patches/lp_902715.patch:
    - dropped, the fix is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Jul 2012 20:07:48 +0200

indicator-sound (0.8.5.0-0ubuntu3) quantal; urgency=low

  * debian/patches/lp_992262.patch
    - fix sound indicator not working after amarok close (LP: #992262)
  * debian/patches/lp_902715.patch
    - Partial fix which sets the accessibility property on the volume
      slider menu item. Previously this was achieved by sending a signal
      on the indicator object but now it seems the way to update orca is
      to set/update the appropriate property on the menuitem.  Orca doesn't
      broadcast volume updates on slider movement but at least it updates
      when the user moves to the item on the menu, previously it was entirely
      silent. (LP: #902715)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 03 May 2012 16:07:19 -0700
