=== debian/control ===
Source: indicator-sound
Section: sound
Priority: extra
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Conor Curran <conor.curran@canonical.com>
Build-Depends: debhelper (>= 7),
               cdbs (>= 0.4.41), 
               quilt,
               autotools-dev,
               libglib2.0-dev (>= 2.22.3),
               libgtk-3-dev,
               libdbusmenu-glib-dev (>= 0.5.90),
               libdbusmenu-gtk3-dev (>= 0.5.90),
               libindicator3-dev (>= 0.3.90),
               libpulse-dev (>= 0.9.18),
               libpulse-mainloop-glib0 (>= 0.9.18),
               libido3-0.1-dev (>= 0.2.90),
               libgee-dev,
               libxml2-dev,
               libnotify-dev,
               valac-0.18,
               dh-autoreconf
Standards-Version: 3.9.3
Homepage: https://launchpad.net/indicator-sound

Package: indicator-sound
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pulseaudio
Description: System sound indicator.
 System sound indicator which provides easy control of the PulseAudio sound 
 daemon.
