=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk

DEB_CONFIGURE_EXTRA_FLAGS = --disable-static

CFLAGS += -Wno-error=deprecated-declarations
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

common-install-arch::
	find debian/indicator-sound -name \*.la -delete
