## indicator-sound 12.10.2%2b17.04.20170109

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-include(UseGSettings)
+find_package(GSettings)
 
 ###########################
 # Indicator service
