## indicator-sound 12.10.2+14.04.20140401

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,12 +40,20 @@
   gee-1.0
   gio-2.0>=${GIO_2_0_REQUIRED_VERSION}
   gio-unix-2.0
+  gthread-2.0
   libxml-2.0
   libnotify
+  accountsservice
 )
 include_directories(${SOUNDSERVICE_INCLUDE_DIRS})
 
-find_package(Vala 0.18)
+pkg_check_modules(
+  TEST REQUIRED
+  dbustest-1
+)
+include_directories(${TEST_INCLUDE_DIRS})
+
+find_package(Vala 0.20)
 
 find_package(GObjectIntrospection 0.9.12)
 
@@ -68,5 +76,10 @@
 add_subdirectory(src)
 
 enable_testing()
+
+set (GTEST_SOURCE_DIR /usr/src/gtest/src)
+set (GTEST_INCLUDE_DIR ${GTEST_SOURCE_DIR}/..)
+set (GTEST_LIBS -lpthread)
+
 add_subdirectory(tests)
