=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -9,29 +9,6 @@
              ${GTEST_SOURCE_DIR}/gtest-all.cc
              ${GTEST_SOURCE_DIR}/gtest_main.cc)
 target_link_libraries(gtest ${GTEST_LIBS})
-
-###########################
-# GSettings Schema
-###########################
-
-# build the necessary schemas
-set_directory_properties (PROPERTIES
-                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
-set_source_files_properties (gschemas.compiled GENERATED)
-
-# GSettings:
-# compile the indicator-sound schema into a gschemas.compiled file in this directory,
-# and help the tests to find that file by setting -DSCHEMA_DIR
-set (SCHEMA_DIR "${CMAKE_CURRENT_BINARY_DIR}/gsettings-schemas")
-add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
-execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
-                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
-                 OUTPUT_STRIP_TRAILING_WHITESPACE)
-add_custom_command (OUTPUT gschemas.compiled
-                    DEPENDS ${CMAKE_SOURCE_DIR}/data/com.canonical.indicator.sound.gschema.xml
-                    COMMAND mkdir -p ${SCHEMA_DIR}
-                    COMMAND cp -f ${CMAKE_SOURCE_DIR}/data/*gschema.xml ${SCHEMA_DIR}
-                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})
 
 ###########################
 # Vala Mocks
@@ -63,14 +40,6 @@
 
 vala_add(vala-mocks
 	media-player-mock.vala
-)
-
-vala_add(vala-mocks
-	media-player-list-mock.vala
-)
-
-vala_add(vala-mocks
-	volume-control-mock.vala
 )
 
 vala_finish(vala-mocks
@@ -114,18 +83,6 @@
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 ###########################
-# Pulse Mock
-###########################
-
-add_library(
-	pulse-mock
-	SHARED
-	pa-mock.cpp
-)
-
-target_link_libraries (pulse-mock ${PULSEAUDIO_LIBRARIES})
-
-###########################
 # Name Watch Test
 ###########################
 
@@ -159,22 +116,6 @@
 )
 
 ###########################
-# Volume Control
-###########################
-
-include_directories(${CMAKE_SOURCE_DIR}/src)
-add_executable (volume-control-test volume-control-test.cc)
-target_link_libraries (
-	volume-control-test
-	indicator-sound-service-lib
-	pulse-mock
-	gtest
-	${TEST_LIBRARIES}
-)
-
-add_test(volume-control-test volume-control-test)
-
-###########################
 # Sound Menu
 ###########################
 
@@ -190,24 +131,6 @@
 )
 
 add_test(sound-menu-test sound-menu-test)
-
-###########################
-# Notification Test
-###########################
-
-include_directories(${CMAKE_SOURCE_DIR}/src)
-add_executable (notifications-test notifications-test.cc)
-target_link_libraries (
-	notifications-test
-	indicator-sound-service-lib
-	vala-mocks-lib
-	pulse-mock
-	gtest
-	${SOUNDSERVICE_LIBRARIES}
-	${TEST_LIBRARIES}
-)
-
-add_test(notifications-test notifications-test)
 
 ###########################
 # Accounts Service User
@@ -258,23 +181,3 @@
 	greeter-list-test  --gtest_filter=GreeterListTest.BasicIterator
 )
 
-###########################
-# Indicator Test
-###########################
-
-add_definitions(
-	-DINDICATOR_SOUND_SERVICE_BINARY="${CMAKE_BINARY_DIR}/src/indicator-sound-service"
-	-DPA_MOCK_LIB="${CMAKE_CURRENT_BINARY_DIR}/libpulse-mock.so"
-)
-add_executable (indicator-test indicator-test.cc gschemas.compiled)
-target_link_libraries (
-	indicator-test
-	gtest
-	${SOUNDSERVICE_LIBRARIES}
-	${TEST_LIBRARIES}
-)
-
-# Split tests to work around libaccountservice sucking
-add_test(indcator-test
-	indicator-test
-)
